using System;
using System.ComponentModel;
using System.Xml.Serialization;

namespace Cyotek.Tools.AssemblyReferenceScanner
{
  [Serializable]
  public class AssemblyNameInfo
  {
    #regionPublicProperties

    [XmlIgnore]
    public string FileName { get; set; }

    [XmlAttribute("Name")]
    public string Name { get; set; }

    [XmlIgnore]
    public Version Version { get; set; }

    [XmlAttribute("Version")]
    [Browsable(false), EditorBrowsable(EditorBrowsableState.Never)]
    public string VersionString
    {
      get { return this.Version != null ? this.Version.ToString() : string.Empty; }
      set { this.Version = !string.IsNullOrEmpty(value) ? new Version(value) : null; }
    }

    #endregionPublicProperties
  }
}